Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 599039 - Apache: check syntax Op fails
Summary: Apache: check syntax Op fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 1.4
Hardware: All
OS: Linux
high
high vote
Target Milestone: ---
: ---
Assignee: Filip Drabek
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon24-apache
TreeView+ depends on / blocked
 
Reported: 2010-06-02 15:03 UTC by Corey Welton
Modified: 2010-08-12 16:51 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Fedora 12 x86_64
Last Closed: 2010-08-12 16:51:02 UTC


Attachments (Terms of Use)

Description Corey Welton 2010-06-02 15:03:39 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Every time.


Steps to Reproduce:
1.  Assure you don't have Augeas turned on in configuration.
2.  Attempt a "check syntax" op on your apache server.
3.  View results
  
Actual results:
Operation Fails:

Close Window
java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
	at java.util.ArrayList.rangeCheck(ArrayList.java:571)
	at java.util.ArrayList.get(ArrayList.java:349)
	at org.rhq.plugins.apache.ApacheServerComponent.getControlScriptPath(ApacheServerComponent.java:605)
	at org.rhq.plugins.apache.ApacheServerOperationsDelegate.invokeOperation(ApacheServerOperationsDelegate.java:71)
	at org.rhq.plugins.apache.ApacheServerComponent.invokeOperation(ApacheServerComponent.java:297)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

Expected results:

Operation successful.

Additional info:

Comment 1 Corey Welton 2010-06-02 15:26:57 UTC
Fedora 12 x86_64

Updating bug -- actually it does not appear to matter whether or not you have augeas enabled or disabled in connection props.  Error happens regardless.

Comment 2 Filip Drabek 2010-06-02 19:58:18 UTC
commit 3d3de0ee4bf6d78e14bb8ad9b1228e6f364744f2

Comment 3 Corey Welton 2010-06-03 13:37:44 UTC
QA Verified.

Comment 4 Corey Welton 2010-08-12 16:51:02 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.